Next: TANH, Previous: TAN, Up: Intrinsic Procedures [Contents][Index]

### 9.267 `TAND` — Tangent function, degrees

Description:

  `TAND(X)` computes the tangent of X in degrees.

  This function is for compatibility only and should be avoided in favor of standard constructs wherever possible.

Standard:

  GNU extension, enabled with `-fdec-math`.

Class:

  Elemental function

Syntax:

  `RESULT = TAND(X)`

Arguments:

  X | The type shall be `REAL` or `COMPLEX`.

Return value:

  The return value has same type and kind as X, and its value is in degrees.

Example:

      program test_tand
        real(8) :: x = 0.165_8
        x = tand(x)
      end program test_tand

Specific names:

  Name | Argument | Return type | Standard
  `TAND(X)` | `REAL(4) X` | `REAL(4)` | GNU extension
  `DTAND(X)` | `REAL(8) X` | `REAL(8)` | GNU extension

See also:

  Inverse function: ATAND Radians function: TAN